Skip to main content
`Ctrl`+`K`

# PetscEnd

Calls `PetscFinalize()` and then ends the program. This is useful if one wishes a clean exit somewhere deep in the program.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEnd(void)

Collective on `PETSC_COMM_WORLD`

## Note

See `PetscInitialize()` for more general runtime options.

## See Also

`PetscInitialize()`, `PetscOptionsView()`, `PetscMallocDump()`, `PetscMPIDump()`, `PetscFinalize()`

## Level

advanced

## Location

src/sys/objects/init.c

## Examples

src/snes/tutorials/ex30.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages